% ============================================================================
% GetGravity.m
% Author: Brent Dingle, Ph.D.
% Creation Date: 2020
%
% ============================================================================
function g = GetGravity(sim, h)
  % for now return a constant, initial tests won't go that high
  % typically g = 9.81;  % m/s^2
  
  % We will call ground contact at 0.05 m -- so resting
  if (h > 0.05)   
    g = sim.grav;  % m/s^2
  else
    g = 0;
  endif
  
endfunction
